KDE 4.7 PyKDE API Reference

- KDE's Python API

# KFilterProxySearchLine Class Reference

`from PyKDE4.kdeui import *`

Inherits: QWidget → QObject

## Detailed Description

KFilterProxySearchLine

Responsible for the quick search when you are using a QSortFilterProxyModel. This will give you an widget which you can embed in your application, call the setProxy() function to indicate on which QSortFilterProxyModel this search line should operate.

Author:
  Tom Albers <tomalbers@kde.nl>

Since:
  4.2

## Methods
| __init__ (self, QWidget parent=0)
| __init__ (self, KFilterProxySearchLine a0)
KLineEdit | lineEdit (self)
| setProxy (self, QSortFilterProxyModel proxy)
| setText (self, QString text)

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0
| ) |  |  |

Constructor

__init__ | ( | self, |
|  | KFilterProxySearchLine | a0
| ) |  |  |

KLineEdit lineEdit | ( |  | self ) |

Returns the pointer of the lineedit..

setProxy | ( | self, |
|  | QSortFilterProxyModel | proxy
| ) |  |  |

Associate a proxy

Parameters:

  | proxy | The proxy to operate with.

setText | ( | self, |
|  | QString | text
| ) |  |  |

To set the search to a text.